Onerway
POST

查询 3DS 记录

使用此接口查询发卡交易的 3DS 发送记录。

请求

ApiKey
Onerway 分配的发卡 API key 请求 Header。
示例:
txnOrderNo
交易订单号筛选条件。
约束
规则
长度不能超过 64 个字符。
cardId
卡片 ID 筛选条件。
示例:
约束
规则
长度不能超过 64 个字符。
startTime
查询开始时间,Unix 秒级时间戳。
示例:
endTime
查询结束时间,Unix 秒级时间戳。
示例:
pageNum
页码。
示例:
约束
范围
1
pageSize
每页条数。
示例:
约束
范围
1100

请求示例

curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/query3dsNotify' \
  -H 'ApiKey: replace_with_issuing_api_key' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "cardId": "example_card_id",
  "startTime": 1767225600,
  "endTime": 1767312000,
  "pageNum": 1,
  "pageSize": 10
}'

响应

respCode
业务响应码;20000 表示成功。
respMsg
响应信息。
分页 3DS 发送记录。

响应示例

{
  "respCode": "20000",
  "respMsg": "success",
  "data": {
    "totalRecords": 1,
    "pageSize": 10,
    "current": 1,
    "pageNum": 1,
    "totalPages": 1,
    "records": [
      {
        "txnOrderNo": "example_transaction_order",
        "merchantNo": "example_merchant_no",
        "cardId": "example_card_id",
        "type": "OTP",
        "sendMethod": "WEBHOOK",
        "sendTarget": "https://example.com/webhooks/3ds",
        "sendStatus": "S",
        "sendTime": 1767225600000,
        "card3dsValues": "123456",
        "currency": "USD",
        "amount": 125.50,
        "merchantName": "Example Merchant"
      }
    ]
  }
}
该接口暂未记录错误响应。